Update an on-call schedule.
PUT
/on_call_schedule/{schedule_id}
const url = 'https://api.siteqwality.com/on_call_schedule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","timezone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.siteqwality.com/on_call_schedule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "timezone": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” schedule_id
required
string format: uuid
On-call schedule identifier
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
string | null
timezone
string | null
Example generated
{ "name": "example", "timezone": "example"}Responses
Section titled “ Responses ”Schedule updated
Media type application/json
object
id
required
string format: uuid
name
required
string
timezone
required
string
created_at
required
string format: date-time
layers
array | null
object
id
required
string format: uuid
schedule_id
required
string format: uuid
layer_number
required
integer format: int32
rotation_type
required
string
rotation_interval_days
integer | null format: int32
handoff_time
required
string
handoff_day
integer | null format: int32
participants
required
Array<string>
effective_from
string | null format: date-time
effective_until
string | null format: date-time
created_at
required
string format: date-time
overrides
array | null
object
id
required
string format: uuid
schedule_id
required
string format: uuid
user_id
required
string format: uuid
start_at
required
string format: date-time
end_at
required
string format: date-time
created_at
required
string format: date-time
Example
{ "layers": [ { "rotation_type": "daily" } ]}Missing or invalid authentication
Schedule not found
Internal server error